Package org.eclipse.ui.commands

## Interface IKeyConfiguration

All Superinterfaces:
  `Comparable`

    @Deprecated
    public interface IKeyConfiguration
    extends Comparable

Deprecated.
Please use the bindings support in the "org.eclipse.jface" plug-in instead. This API is scheduled for deletion, see Bug 431177 for details

An instance of `IKeyConfiguration` is a handle representing a key configuration as defined by the extension point `org.eclipse.ui.commands`. The identifier of the handle is identifier of the key configuration being represented.

An instance of `IKeyConfiguration` can be obtained from an instance of `ICommandManager` for any identifier, whether or not a key configuration with that identifier defined in the plugin registry.

The handle-based nature of this API allows it to work well with runtime plugin activation and deactivation. If a key configuration is defined, that means that its corresponding plug-in is active. If the plug-in is then deactivated, the configuration will still exist but it will be undefined. An attempt to use an undefined key configuration will result in a `NotDefinedException` being thrown.

This interface is not intended to be extended or implemented by clients.

Since:
  3.0
See Also:
  `IKeyConfigurationListener`, `ICommandManager`, `Scheme`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.
Restriction:
  This interface is scheduled for deletion.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `addKeyConfigurationListener​(IKeyConfigurationListener keyConfigurationListener)` Deprecated.
`String` `getDescription()` Deprecated.
`String` `getId()` Deprecated.
`String` `getName()` Deprecated.
`String` `getParentId()` Deprecated.
`boolean` `isActive()` Deprecated.
`boolean` `isDefined()` Deprecated.
`void` `removeKeyConfigurationListener​(IKeyConfigurationListener keyConfigurationListener)` Deprecated.

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Method Detail

#### addKeyConfigurationListener

    @Deprecated
    void addKeyConfigurationListener​(IKeyConfigurationListener keyConfigurationListener)

Deprecated.
Registers an instance of `IKeyConfigurationListener` to listen for changes to attributes of this instance.

Parameters:
  `keyConfigurationListener` - the instance of `IKeyConfigurationListener` to register. Must not be `null`. If an attempt is made to register an instance of `IKeyConfigurationListener` which is already registered with this instance, no operation is performed.

#### getDescription

    @Deprecated
    String getDescription()
                   throws NotDefinedException

Deprecated.

Returns the description of the key configuration represented by this handle, suitable for display to the user.

Notification is sent to all registered listeners if this attribute changes.

Returns:
  the description of the key configuration represented by this handle. Guaranteed not to be `null`.
Throws:
  `NotDefinedException` - if the key configuration represented by this handle is not defined.

#### getId

    @Deprecated
    String getId()

Deprecated.
Returns the identifier of this handle.

Returns:
  the identifier of this handle. Guaranteed not to be `null`.

#### getName

    @Deprecated
    String getName()
            throws NotDefinedException

Deprecated.

Returns the name of the key configuration represented by this handle, suitable for display to the user.

Notification is sent to all registered listeners if this attribute changes.

Returns:
  the name of the key configuration represented by this handle. Guaranteed not to be `null`.
Throws:
  `NotDefinedException` - if the key configuration represented by this handle is not defined.

#### getParentId

    @Deprecated
    String getParentId()
                throws NotDefinedException

Deprecated.

Returns the identifier of the parent of the key configuration represented by this handle.

Notification is sent to all registered listeners if this attribute changes.

Returns:
  the identifier of the parent of the key configuration represented by this handle. May be `null`.
Throws:
  `NotDefinedException` - if the key configuration represented by this handle is not defined.

#### isActive

    @Deprecated
    boolean isActive()

Deprecated.

Returns whether or not this command is active. Instances of `ICommand` are activated and deactivated by the instance of `ICommandManager` from whence they were brokered.

Notification is sent to all registered listeners if this attribute changes.

Returns:
  `true`, iff this command is active.

#### isDefined

    @Deprecated
    boolean isDefined()

Deprecated.

Returns whether or not the key configuration represented by this handle is defined.

Notification is sent to all registered listeners if this attribute changes.

Returns:
  `true`, iff the key configuration represented by this handle is defined.

#### removeKeyConfigurationListener

    @Deprecated
    void removeKeyConfigurationListener​(IKeyConfigurationListener keyConfigurationListener)

Deprecated.
Unregisters an instance of `IKeyConfigurationListener` listening for changes to attributes of this instance.

Parameters:
  `keyConfigurationListener` - the instance of `IKeyConfigurationListener` to unregister. Must not be `null`. If an attempt is made to unregister an instance of `IKeyConfigurationListener` which is not already registered with this instance, no operation is performed.